[[post_data {
    "author" : "KyMAN",
    "since" : 20211225,
    "version" : 20211225
}]]
# Kanvas.ecma.js

```txt
/Public/Kanvas.ecma.js
```

## [[plain Kanvas.null_or_undefined]]

[[wdoc
Método object.
@name       Kanvas.null_or_undefined
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       719d9b7663b42ce8e70a4b651eb27d92
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain Kanvas.allow_nulls]]

[[wdoc
Método object.
@name       Kanvas.allow_nulls
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       a1c98a84d6d8b0b8f14fedd400bb007d
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain Kanvas.default_value]]

[[wdoc
Método object.
@name       Kanvas.default_value
@see        Kanvas.allow_nulls
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       6699f3c074ebd26160e6b3a8794c6493
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain Kanvas.settings]]

[[wdoc
Método object.
@name       Kanvas.settings
@see        Kanvas.default_value
@see        Kanvas.allow_nulls
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       c05780df830b296ef8a270d7fcadeb98
#names	- optional Parámetro names
#inputs	- optional Parámetro inputs
#_default	- optional Parámetro _default
#nulls	- optional Parámetro nulls
#return	- - Retorno.
]]

## [[plain Kanvas.threads_function]]

[[wdoc
Método object.
@name       Kanvas.threads_function
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       30f4ba8b76dce56fc41434dd6465f058
#return	- - Retorno.
]]

## [[plain Kanvas.threads_start]]

[[wdoc
Método object.
@name       Kanvas.threads_start
@see        Kanvas.settings
@see        Kanvas.threads_function
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       cce23b880e33d3e85679d59e082812d8
#frames_per_second	- optional Parámetro frames_per_second
]]

## [[plain Kanvas.threads_stop]]

[[wdoc
Método object.
@name       Kanvas.threads_stop
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       628fab132ecb593ed3accbec9427a6ea
]]

## [[plain Kanvas.threads_add]]

[[wdoc
Método object.
@name       Kanvas.threads_add
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       98547e004e14d60c8577718368ffe69e
#callback	- optional Parámetro callback
#return	- - Retorno.
]]

## [[plain Kanvas.threads_remove]]

[[wdoc
Método object.
@name       Kanvas.threads_remove
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       a73d5bb9c37dd290aef7f312f8fa2c81
#i	- optional Parámetro i
]]

## [[plain Kanvas.is_html_object]]

[[wdoc
Método object.
@name       Kanvas.is_html_object
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       f8cca6ce9a87f4ddf2c68884218d1c12
#variable	- optional Parámetro variable
#return	- - Retorno.
]]

## [[plain Kanvas.preload]]

[[wdoc
Método object.
@name       Kanvas.preload
@see        Kanvas.is_html_object
@see        Kanvas.settings
@see        Kanvas.threads_add
@see        Kanvas.threads_remove
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       b6298d139217967603995bbc155fa81b
#selector	- optional Parámetro selector
#callback	- optional Parámetro callback
]]

## [[plain Kanvas.hash]]

[[wdoc
Método object.
@name       Kanvas.hash
@see        Kanvas.settings
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       cbd619e186a3b4cc88e42b48092e138a
#return	- - Retorno.
]]

## [[plain Kanvas.set_attribute]]

[[wdoc
Método object.
@name       Kanvas.set_attribute
@see        Kanvas.is_html_object
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       66c62f05275a277af2cae6fa0ce15bec
#item	- optional Parámetro item
#custom_attributes	- optional Parámetro custom_attributes
]]

## [[plain Kanvas.construct]]

[[wdoc
Método object.
@name       Kanvas.construct
@see        Kanvas.settings
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       37628051533825ee303450db783c043e
]]

## [[plain Kanvas.range_analyze]]

[[wdoc
Método object.
@name       Kanvas.range_analyze
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       b70d0d7c55cff052650f923dfff238cf
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.on_resize_method]]

[[wdoc
Método object.
@name       Kanvas.on_resize_method
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       a76d2493ecfc4e769f416dbf0b6512b3
#screen	- optional Parámetro screen
]]

## [[plain Kanvas.position_set]]

[[wdoc
Método object.
@name       Kanvas.position_set
@see        Kanvas.settings
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       a5797156cb2c84f1be97d89806ec8ea8
]]

## [[plain Kanvas.start]]

[[wdoc
Método object.
@name       Kanvas.start
@see        Kanvas.settings
@see        Kanvas.position_set
@see        Kanvas.threads_start
@see        Kanvas.preload
@see        Kanvas.hash
@see        Kanvas.set_attribute
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       c5c42914486aa98c690dfee43cf0022b
]]

## [[plain Kanvas.draw]]

[[wdoc
Método object.
@name       Kanvas.draw
@see        Kanvas.draw
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       3e0658a54766de9a8b226dff8e290b09
#map	- optional Parámetro map
#context	- optional Parámetro context
]]

## [[plain Kanvas.refresh_draw]]

[[wdoc
Método object.
@name       Kanvas.refresh_draw
@see        Kanvas.draw
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       13eb2f6574df5ab6d8a4b042ad90f347
]]

## [[plain Kanvas.thread_method]]

[[wdoc
Método object.
@name       Kanvas.thread_method
@see        Kanvas.refresh_draw
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       af433469fec83091580ca5ada20b6bb9
]]

## [[plain Kanvas.value]]

[[wdoc
Método object.
@name       Kanvas.value
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       f5494430f37abdc8690b52732565c629
#value	- optional Parámetro value
#quality	- optional Parámetro quality
#return	- - Retorno.
]]

## [[plain Kanvas._x]]

[[wdoc
Método object.
@name       Kanvas._x
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       559ab3da3b95bf8d10a31f3d719b2ea1
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain Kanvas._y]]

[[wdoc
Método object.
@name       Kanvas._y
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       559ab3da3b95bf8d10a31f3d719b2ea1
#value	- optional Parámetro value
#return	- - Retorno.
]]

## [[plain Kanvas.cache_set]]

[[wdoc
Método object.
@name       Kanvas.cache_set
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       603f76ca5fda76d86b5be256077b25e9
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain Kanvas.get_new_cache_i]]

[[wdoc
Método object.
@name       Kanvas.get_new_cache_i
@see        Kanvas.cache_set
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       b0d2a1389083540a4357d495c5f0d08c
#item	- optional Parámetro item
#return	- - Retorno.
]]

## [[plain Kanvas.cache_clean]]

[[wdoc
Método object.
@name       Kanvas.cache_clean
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       a2b63581e6003dd7d145d86349ed146c
#i	- optional Parámetro i
]]

## [[plain Kanvas.preload_cache_items]]

[[wdoc
Método object.
@name       Kanvas.preload_cache_items
@see	Kanvas.preload_cache_items
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version	20211225
@access	public
@hash	9828faf1c71dd7d96543e60c7b9b9aea
#items	- optional Parámetro items
#callback_per_item	- optional Parámetro callback_per_item
#callback	- optional Parámetro callback
]]

## [[plain Kanvas.angle]]

[[wdoc
Método object.
@name       Kanvas.angle
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       f80170728f63e977a7b75020e9a2efb1
#x	- optional Parámetro x
#y	- optional Parámetro y
#randians	- optional Parámetro randians
#return	- - Retorno.
]]

## [[plain Kanvas.shadow]]

[[wdoc
Método object.
@name       Kanvas.shadow
@see        Kanvas.settings
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       3e5838dd96848e07e9ec73496e08c62f
#data	- optional Parámetro data
#context	- optional Parámetro context
]]

## [[plain Kanvas.border]]

[[wdoc
Método object.
@name       Kanvas.border
@see        Kanvas.settings
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       fab5ac8f9418215b319a17e166843729
#data	- optional Parámetro data
#context	- optional Parámetro context
]]

## [[plain Kanvas.draw_image]]

[[wdoc
Método object.
@name       Kanvas.draw_image
@see        Kanvas.settings
@see        Kanvas._x
@see        Kanvas._y
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     private
@hash       109a8296cc4383971af7cc4bd13b46b5
]]

## [[plain Kanvas.add_components]]

[[wdoc
Método object.
@name       Kanvas.add_components
@see        Kanvas.settings
@see        Kanvas.add_components
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       f55803884eb16241230454adbefa6c6b
#json	- optional Parámetro json
#overwrite	- optional Parámetro overwrite
]]

## [[plain Kanvas.check_mouse]]

[[wdoc
Método object.
@name       Kanvas.check_mouse
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       876b893e02510899ca548c73f0adfe56
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain Kanvas.on_event]]

[[wdoc
Método object.
@name       Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       686ebb7d44d117801dc85b8a30b0bf57
#name	- optional Parámetro name
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.remove_event]]

[[wdoc
Método object.
@name       Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       ca7e3e68240c00374b401e488407f8d6
#name	- optional Parámetro name
#i	- optional Parámetro i
]]

## [[plain Kanvas.execute_event]]

[[wdoc
Método object.
@name       Kanvas.execute_event
@see        Kanvas.range_analyze
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       33c8ba6d8e6f32c4c4da1dd60db07513
#name	- optional Parámetro name
#input	- optional Parámetro input
]]

## [[plain Kanvas.event_range]]

[[wdoc
Método object.
@name       Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       e4b8585c6a74d2b41538b1774d2fee40
#name	- optional Parámetro name
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.on_mouse_move]]

[[wdoc
Método object.
@name       Kanvas.on_mouse_move
@see        Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       e40de2381f36b3c9d8312d6ef8a762f2
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.on_resize]]

[[wdoc
Método object.
@name       Kanvas.on_resize
@see        Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       b006e249f4d5adf74d0f7ec45978c1f2
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.on_click]]

[[wdoc
Método object.
@name       Kanvas.on_click
@see        Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       85d6ad332ff2ceb5cbca13e4546ed361
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.on_key_down]]

[[wdoc
Método object.
@name       Kanvas.on_key_down
@see        Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       79025f1cdcb67186db97d1132bb43e62
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.on_key_up]]

[[wdoc
Método object.
@name       Kanvas.on_key_up
@see        Kanvas.on_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       73067b92317dc0f59adbd3eab025ca50
#method	- optional Parámetro method
#range	- optional Parámetro range
#return	- - Retorno.
]]

## [[plain Kanvas.remove_mouse_move]]

[[wdoc
Método object.
@name       Kanvas.remove_mouse_move
@see        Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       2adc625bafbab06d1d6385aab844693c
#i	- optional Parámetro i
]]

## [[plain Kanvas.remove_resize]]

[[wdoc
Método object.
@name       Kanvas.remove_resize
@see        Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       f0192c53117c1b3e57ec834096136ad2
#i	- optional Parámetro i
]]

## [[plain Kanvas.remove_click]]

[[wdoc
Método object.
@name       Kanvas.remove_click
@see        Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       696c4277e38f06fae1fd0781622bad53
#i	- optional Parámetro i
]]

## [[plain Kanvas.remove_key_down]]

[[wdoc
Método object.
@name       Kanvas.remove_key_down
@see        Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       63b0a8449fb2a64a6c272aaca90c429b
#i	- optional Parámetro i
]]

## [[plain Kanvas.remove_key_up]]

[[wdoc
Método object.
@name       Kanvas.remove_key_up
@see        Kanvas.remove_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       8b8f69cc65cec69309d7bbee875c877b
#i	- optional Parámetro i
]]

## [[plain Kanvas.range_mouse_move]]

[[wdoc
Método object.
@name       Kanvas.range_mouse_move
@see        Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       7496d8ac7ff8f0b4f0a406317732b4a4
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.range_resize]]

[[wdoc
Método object.
@name       Kanvas.range_resize
@see        Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       5f48d71ce7258c7d8f9c35a6ff24ce9c
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.range_click]]

[[wdoc
Método object.
@name       Kanvas.range_click
@see        Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       4dcfaba4ec9eb40c29226dd21f2b3fbc
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.range_key_down]]

[[wdoc
Método object.
@name       Kanvas.range_key_down
@see        Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       8da99fdb35bb1906c7f00a41ad9ad26d
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.range_key_up]]

[[wdoc
Método object.
@name       Kanvas.range_key_up
@see        Kanvas.event_range
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       c628c7bef3b981fb42437f6de0e44ab8
#i	- optional Parámetro i
#return	- - Retorno.
]]

## [[plain Kanvas.key_down]]

[[wdoc
Método object.
@name       Kanvas.key_down
@see        Kanvas.execute_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       15ee3af73279aa7b18e41c157a0acdea
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain Kanvas.key_up]]

[[wdoc
Método object.
@name       Kanvas.key_up
@see        Kanvas.execute_event
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       426a68043d1c42008c39defe498dfe0e
#item	- optional Parámetro item
#event	- optional Parámetro event
]]

## [[plain Kanvas.get_margins]]

[[wdoc
Método object.
@name       Kanvas.get_margins
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       e5aa5d927b4260ab1e6a8a4616b7cc8e
#return	- - Retorno.
]]

## [[plain Kanvas.get_position]]

[[wdoc
Método object.
@name       Kanvas.get_position
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       041721aebc4ba3428c96418025f07272
#return	- - Retorno.
]]

## [[plain Kanvas.get_cells]]

[[wdoc
Método object.
@name       Kanvas.get_cells
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       d6b5083d8473799c6af510fdc459245d
#return	- - Retorno.
]]

## [[plain Kanvas.get_canvas_distance]]

[[wdoc
Método object.
@name       Kanvas.get_canvas_distance
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       22d705933b1771eed6a395154a1cff24
#return	- - Retorno.
]]

## [[plain Kanvas.get_cell_size]]

[[wdoc
Método object.
@name       Kanvas.get_cell_size
@lang       ECMAScript
@author     KyMAN
@since      20211225
@version    20211225
@access     public
@hash       b63b90521c2f76ea0c361fea33c23769
#return	- - Retorno.
]]

[[html_data {
    "title" : "Kanvas.ecma.js - Kanvas",
    "url" : "https://kanvas.k3y.pw/Public/Kanvas.ecma.js.html",
    "author" : "KyMAN",
    "since" : 20211225,
    "version" : 20211225,
    "key_words" : "kanvas,canvas,html,js,ecma,script,ecmascript,graphic,engine,library,developt,desarrollo,programación,cma",
    "description" : "Kanvas.ecma.js del Kanvas.",
    "project" : "Kanvas",
    "logo" : "/images/kanvas.png",
    "language" : "es"
}]]
