[[post_data {
    "author" : "KyMAN",
    "since" : 20210620,
    "version" : 20211230
}]]
# Kanvas

El proyecto Kanvas no es más que una pequeña librería JavaScript en ECMAScript 2015 que nos permite
crear y gestionar gráficos 2D sobre un elemento CANVAS gestionado dentro de una etiqueta de capa
DIV, de forma sencilla y limpia, basado en un mapeado Array anidado que nos permite tener tanto la
profundidad como agrupar elementos en diferentes niveles de profundidad, todos ellos ordenados entre
sí. Dichos elementos también están gestionados dentro de la propia librería como elementos de dibujo
o para dibujar. Para poder descargar o hacer uso como CDN de ésta librería se puede utilizar los
siguientes links:

- https://kanvas.k3y.pw/Kanvas.ecma.js
- https://git.k3y.pw/KyMAN/Kanvas/-/raw/master/Public/Kanvas.ecma.js

La idea es crear un mapa de los gráficos que se quieren representar en un Array a partir de los
componentes de dibujo que contenga la librería, si hay alguno del cual se quiera hacer uso y no lo
tiene, éste ha de ser implementado por el usuario desarrollador, permitiendo dicha metodología la
reutilización de código para diversos fines. En JavaScript, los objetos almacenados en una variable
funcionan por Mark and Sweep, por tanto son elementos referenciados en memoria y por ello, podemos
moverlos a diferentes puntos del código enviándolo funcionalmente como parámetro donde podrá ser
tratado tanto por Kanvas como por el desarrollador simultáneamente.

[[header_level 0]]
[[include /WMD/es/doc/kanvas.idea.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/kanvas.starting.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/kanvas.settings.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/kanvas.quality.w.md]]

[[header_level 0]]
[[include /WMD/es/doc/kanvas.targets.w.md]]

[[header_level 0]]
[[wdictionaries Diccionario https://wdictionaries.k3y.pw/?es/users,values,own_projects,projects,digital,common]]

[[html_data {
    "title" : "Kanvas - Manual",
    "url" : "https://kanvas.k3y.pw/es/",
    "author" : "KyMAN",
    "since" : 20210620,
    "version" : 20211230,
    "key_words" : "kanvas,canvas,kyman,2d,graphics",
    "description" : "Manual del proyecto Kanvas.",
    "project" : "Kanvas",
    "logo" : "https://kanvas.k3y.pw/images/kanvas.png"
}]]
